/* Off-Canvas Panel Styles */

.offcanvas-panel {
	position: fixed;
	top: 0;
	right: -100%;
	width: 480px;
	height: 100%;
	background-color: #fff;
	box-shadow: -2px 0 5px rgba(0, 0, 0, 0.1);
	transition: right 0.3s ease;
	z-index: 99999;
	overflow-y: auto;
}

.offcanvas-panel.open {
	right: 0;
}

/* Mobile Off-Canvas Panel */
@media (max-width: 640px) {
	.offcanvas-panel {
		top: auto; /* Allow positioning from bottom */
		bottom: -100%;
		right: 0;
		width: 100%;
		height: 70%; /* Leave some space at the top */
		border-radius: 15px 15px 0 0; /* Rounded corners for a better look */
		box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1);
		transition: bottom 0.3s ease;
	}
	.offcanvas-panel.open {
		bottom: 0;
	}
}

/* Common Styles */

.offcanvas-content {
	padding: 0 20px;
}

.offcanvas-content .modal-header-section {
	font-size: 14px;
}

.offcanvas-backdrop {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.5);
	z-index: 999;
	display: none;
}
.offcanvas-backdrop.show {
	display: block;
}
